"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stack = void 0;
const tslib_1 = require("tslib");
const pubsub_1 = require("./pubsub");
const store_1 = require("./store");
class Stack {
    constructor(namespace, ipfs) {
        this.namespace = namespace;
        this.pubsub = new pubsub_1.PubSub(ipfs, namespace);
        this.store = new store_1.Store(ipfs, namespace, this.pubsub);
    }
    static create(namespace, ipfs) {
        return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
            const stack = new Stack(namespace, ipfs);
            yield stack.store.start();
            return stack;
        });
    }
}
exports.Stack = Stack;
//# sourceMappingURL=stack.js.map